Skip to main content

Notice

Please note that most of the software linked on this forum is likely to be safe to use. If you are unsure, feel free to ask in the relevant topics, or send a private message to an administrator or moderator. To help curb the problems of false positives, or in the event that you do find actual malware, you can contribute through the article linked here.
Topic: foo_vis_shpeck (Read 682499 times) previous topic - next topic
0 Members and 2 Guests are viewing this topic.

Re: foo_vis_shpeck - My way of using relative path for shpeck for portable fb2k

Reply #825
My way of using relative path for shpeck for portable foobar2000 installation:

1. open foo_vis_shpeck.dll in hex editor and change "C:\Program Files\Winamp" to ".\fx" (keep original file size, add some "00" byte padding if needed)
2. remove foo_vis_shpeck.dll.cfg from the configuration directory
3. create "fx" directory in foobar's root directory, create there empty winamp.exe file and Plugins subdirectory
4. put all your winamp's vis plugins into .\fx\Plugins\ directory
5. create foobar2000.bat in foobar's root dir to run foobar2000 from:
Code: [Select]
set foobar_root=%~dp0
set PATH=%PATH%;%foobar_root%
start foobar2000.exe
6. run foobar2000.bat
7. open shpeck configuration pane, plugins list should be populated
8. run any desired visualization, it should be working

PS: foobar2000 uses "traditional" way of dll loading, i.e. any dll should have absolute path OR be in the %PATH% variable. That batch file temporarily adds foobar's root directory to the environment, in which foobar then runs. After that, foo_vis_shpeck.dll tries to load dlls from .\fx\Plugins, but it will succeed only if it find the first part of foobar's root directory (which is in the %PATH% now). That's it. 

Added modified foo_vis_shpeck.dll so you don't have to edit it.


Re: foo_vis_shpeck

Reply #827
No. Yirkha has moved onto other things, mostly employed by MS.


Re: foo_vis_shpeck

Reply #829
Cheers. Yeah, unfortunately ProjectM is a very poor substitute for Milkdrop in a number of ways. It's missing many of the features, doesn't load all the Milkdrop presets properly, has no settings or title display options etc.

Re: foo_vis_shpeck

Reply #830
I could never get it to work either, so I'm still using Milkdrop. I have no plans to move to 64bit for the foreseeable future anyway.

Re: foo_vis_shpeck

Reply #831
Oh man what a bummer. I do want to upgrade to v2.0 64-bit though.
ProjectM is a no go. Doesn't load any of Martin/Nitorami's presets properly (some of the best presets out there).
I wonder if the unofficial Milkdrop3 is any better.
github /milkdrop2077/MilkDrop3/

Re: foo_vis_shpeck

Reply #832
Hi, any chance to add dark mode to Shpeck?

Re: foo_vis_shpeck

Reply #833
Code: [Select]
Can't launch the milkdrop config panel in f2k v 2.0 32bits, any idea what can be and how to fix it?. No problem in f2k v1.6.12
I had two instances of f2k open (v1.6.12 and v2.0). Now there is no problem  :D

Re: foo_vis_shpeck

Reply #834
Hey, has anyone noticed that Shpeck straight up doesn't work with Foobar2000 version 2.0, even on the 32-bit version? Am i going to have to stay on version 1.6.16 forever? Because I am not giving up milkdrop!

It is just not showing up at all under foobar v2.0. Does anyone know how to fix this?

If I try to add it back into the components folder, it gives me an error that says "a component is broken" or something. So is it impossible to use certain older components with foobar v2.0? if so, I'm never upgrading............

Re: foo_vis_shpeck

Reply #835
Oh man what a bummer. I do want to upgrade to v2.0 64-bit though.
ProjectM is a no go. Doesn't load any of Martin/Nitorami's presets properly (some of the best presets out there).
I wonder if the unofficial Milkdrop3 is any better.
github /milkdrop2077/MilkDrop3/


I looked at this, but it seems to only be a standalone app. I don't see any way to integrate it into foobar with Shpeck? Do you know how?

Re: foo_vis_shpeck

Reply #836
I got it. Nevermind. Sorry to clutter the comments. For anyone else having this issue, you have to manually install it again from the "components" section in the UI.


Re: foo_vis_shpeck

Reply #838
As said: moved entirely onto other things.

Oh man what a bummer. I do want to upgrade to v2.0 64-bit though.
ProjectM is a no go. Doesn't load any of Martin/Nitorami's presets properly (some of the best presets out there).
I wonder if the unofficial Milkdrop3 is any better.
github /milkdrop2077/MilkDrop3/


Expression parser will need a complete rewrite. It uses x86 assembly extensively. Would be better to rewrite for DX11 while at it.